local _
local _G = _G
local sec 
local msg
local CurrentIcon
local PvPOff = "Interface\\WorldMap\\Skull_64Grey.blp"
local PvPOn = "Interface\\WorldMap\\Skull_64Red.blp"
local PvPTimer = "Interface\\WorldMap\\Skull_64Green.blp"

local brsPvPStatus = _G.LibStub("LibDataBroker-1.1"):NewDataObject("Broker_PvPStatus", {
	type = "data source",
	icon = PvPOff,
	label = "Broker_PvPStatus",
	OnTooltipShow = function()end,
})

local string = string

local function UpdatePvPStatus(frame,elapsed)

	sec = math.floor(GetPVPTimer()/1000)
	if UnitIsPVP("player") then
		CurrentIcon = PvPOn
		if sec==301 then
			msg = "|cffff0000PvP On"
		else
			msg = "|cff00ff00PvP Timer "..(sec>60 and math.floor(sec/60).."m" or "")..(sec%60).."s"
			CurrentIcon = PvPTimer
		end
	else
		CurrentIcon = PvPOff
		msg = "PvP Off"
	end
				 
	brsPvPStatus.value = msg
	brsPvPStatus.text =  msg
	brsPvPStatus.icon =  CurrentIcon
	
end

local brsFrame = CreateFrame("Frame")
brsFrame:SetScript("OnUpdate", UpdatePvPStatus)

